import request from '@/utils/request';

// 获取承包方列表
export function listFbf(params) {
  return request({
    url: '/service/fbf/list',
    method: 'get',
    params: params
  });
}

// 新增发包方信息
export function addFbf(data) {
  return request({
    url: '/service/fbf/add',
    method: 'post',
    data: data
  })
}

// 修改发包方信息
export function updateFbf(data) {
  return request({
    url: '/service/fbf/edit',
    method: 'post',
    data: data
  })
}

// 发包方调查签字
export function manualSignature(data) {
  return request({
    url: '/service/fbf/surveySign',
    method: 'post',
    data: data
  });
}

// 生成发包方编码
export function generateEmployerCode(params) {
  return request({
    url: '/service/fbf/generateCode',
    method: 'get',
    params: params
  });
}

// 发包方签字授权
  export function authorizeSignature(id) {
  return request({
    url: '/service/fbf/authorize/' + id,
    method: 'get'
  });
}
